Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Никак не пойму, поддерживают ли ATI карточку?  (Прочитано 528 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн mehanoid

  • Автор темы
  • Участник
  • *
  • Сообщений: 149
  • Arch Linux user
    • Просмотр профиля
У меня видеокарта ATI Mobility Radeon HD 3400. Скачал release notes, глянул, в списке поддерживаемых моя видеокарта есть. Да и не настолько уж она и старая, чтобы её не поддерживать  :o
Но если она есть в списке, тогда непонятно, почему же на всех новых версиях дравера у меня всё работает криво?
Юзаю проприетарный драйвер версии 9.10
После недавнего обновления ядрышка он почему-то слетел и никак не хотел работать. А тут на днях ещё одна версия драйвера вышла (10.3), ну решил ещё раз попробовать обновить драйвер. С ним тоже всё глючит.

В общем в чём проявляется: с новыми драйверами не работает видео в скайпе (без определённых шаманств). Заметил ещё, что эффект воды не работает в компизе. Он, конечно, может и не нужен, но это свидетельствует о том, что что-то в карточке не работает. Но самое главное - через некоторое время работы с декорациями окон (независимо от того, какая тема стоит)  происходит вот такая фигня:
Было:

Стало:

Лечится перезапуском компиза. Но происходит довольно часто. Иногда бывало, что декорации вообще изчезали и заменялись какой-то однородной зелёной рамкой.
Посмотрел я на всё это безобразие, надоело, решил попробовать ещё раз 9.10 поставить. На этот раз драйвер таки заработал.

Но всё-таки хочу разобраться. У меня xorg стоит какой-то с патчем nobackfill (это исправляет проблему медленного развёртывания окон с драйвером ATI) Может с этим может что-то может быть связано? Может с новыми драйверами надо нормальный xorg юзать? Или ATI правда перестали карточку почему-то поддерживать, хотя и написано в документации, что поддерживается?

Оффлайн stmc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
поставь дрова по этому мануалу http://help.ubuntu.ru/wiki/%D1%83%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%BA%D0%B0_%D0%B4%D1%80%D0%B0%D0%B9%D0%B2%D0%B5%D1%80%D0%B0_ati
обязательно впиши в /etc/X11/xorg.conf из мануала "Наиболее стабильная конфигурация xorg.conf"

Оффлайн mehanoid

  • Автор темы
  • Участник
  • *
  • Сообщений: 149
  • Arch Linux user
    • Просмотр профиля
Попробовал собрать deb пакеты. Собрались, но с применением бубна.
А с конфигурацией "Наиболее стабильная конфигурация xorg.conf" драйвер не пашет.
При старте система пишет "Ubuntu is running in low graphics mode"

Если теперь сделать sudo aticonfig --initial, пишет
Found fglrx primary device section
 Unable to find any supported Screen sections

Если сделать
sudo rm /etc/X11/xorg.conf
sudo aticonfig --initial
, сгенерированный xorg.conf сильно отличается "наиболее стабильного"
(Нажмите, чтобы показать/скрыть)
, и всё тогда работает примерно так же, как и когда я просто устанавливал через sh ati-driver-installer-10-3-x86.x86_64.run

Оффлайн gregory5

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5083
    • Просмотр профиля
у мну такая же видео (3450)
(Нажмите, чтобы показать/скрыть)
юзаю драйвера всегда с оф. сайта ати (сейчас стоит 10.2)
ставлю так:
sudo sh '/media/путь к драйверу/ati-driver-installer-10-2-x86.x86_64.run'
запускается граф. инсталятор
после окончания установки exit
далее в консоле
sudo aticonfig --initial -f
перезагр.
собственно и всё
с версии 9.6 ставлю всегда таким макаром проблем в принципе нет
вот мой конфиг (вдруг пригодится)  ;)
(Нажмите, чтобы показать/скрыть)
а на вики чёт там перемудрили они явно я даж боюсь пробовать это
про ксенераму вообще ни строчки
у тебя PCIе 1.0 стоит почему то или у тебя мат плата не держит 2.0?

тогда при использовании моего конфига нужно этот момент учесть на всякий случай будет

« Последнее редактирование: 28 Март 2010, 05:50:31 от gregory5 »

Оффлайн stmc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
у тебя PCIе 1.0 стоит почему то или у тебя мат плата не держит 2.0?
это не версия PCIe, это порядковый номер порта

Оффлайн mehanoid

  • Автор темы
  • Участник
  • *
  • Сообщений: 149
  • Arch Linux user
    • Просмотр профиля
gregory5
Попробовал sudo aticonfig --initial -f применить, разницы нету.
С твоим конфигом  (при изменении "PCI:2:0:0" на  "PCI:1:0:0") то же самое.
Вообще карточки всё-таки не совсем одинаковые, всё-таки у меня 3400, а не 3450. Может, конечно, они только названием и отличаются, да только всё-равно глючит почему-то всё...

Оффлайн gregory5

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5083
    • Просмотр профиля
у вас моб версия а у меня дискретка на десктопе вот и разница
кстати, а драйвера ты качал именно под моб. версию? ну прост мало ли мож просто радеон выбирал
(Нажмите, чтобы показать/скрыть)
я так понял у вас ноутбук
просто интегрированых в десктопные мат платы вроде нет таких карт

не знаю даже чем помочь
по идее должно работать всё норм., а не хочет :(
Цитировать
это не версия PCIe, это порядковый номер порта
хмм спасибо бум знать
« Последнее редактирование: 28 Март 2010, 16:11:31 от gregory5 »

Оффлайн mehanoid

  • Автор темы
  • Участник
  • *
  • Сообщений: 149
  • Arch Linux user
    • Просмотр профиля
Да, у меня ноут
Выбирал для своей версии, правда драйвер, как я понял, там всё-равно один и тот же

В общем, спасибо за помощь, но проблема так и не решена :idiot2:

 

Страница сгенерирована за 0.068 секунд. Запросов: 22.